<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->

<title>Javascool IDE</title>

<link rel="stylesheet" href="./css/lib/bootstrap-3.3.4.min.css" />
<link rel="stylesheet" href="./css/lib/bootstrap-toggle-2.2.0.min.css" />

<link rel="stylesheet" href="./css/style.css" />
<link rel="stylesheet" href="./css/angular.treeview-0.1.6-perso.css" />

<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>


<body data-ng-app="javascoolWebApplication"
	data-ng-controller="ApplicationController as application">
	<div class="container fullheight">


		<div class="row">
	<!-- 		<p>application : {{application|json}}</p>
	 -->		<!-- <p>current file : {{application.currentFile|json}}</p>
			 -->
			 <p>activité : {{application.activity}}</p>
		</div>

		<div class="row">
			<div class="col-md-2"></div>
			<div class="col-md-10">
				<!-- the button bar -->
				<div class="btn-group" role="group" aria-label="...">
					<!-- the File button -->
					<div class="btn-group">
						<button type="button" class="btn btn-default" data-toggle="modal"
								data-target="#modalProglets" data-backdrop="static">
							Nouvelle Activité
						</button>
						<button type="button" class="btn btn-default dropdown-toggle"
							data-toggle="dropdown" aria-expanded="false">
							Fichier <span class="caret"></span>
						</button>
						<ul class="dropdown-menu" role="menu">
							<li class="dropdown-header text-center">Disque Local</li>
							<li data-ng-controller="LocalFilesControlOpen">
								<a href="" id="local_openFile" class="btn-file">
									<span class="glyphicon glyphicon-folder-open"></span>&emsp;Ouvrir ...
									<input type="file" accept=".js"
										onchange="angular.element(this).scope().file_changed(this)" />
							</a><span>elemn: {{angular.element(this).scope()}}</span></li>
							<li><a href="" id='local_saveFileAS' data-toggle="modal"
								data-target="#modalSaveAs" data-backdrop="static"> <span
									class="glyphicon glyphicon-floppy-disk"></span>&emsp;Enregister
									sous ...
							</a></li>
							<li
								data-ng-class="{'disabled': application.localFiles.length == 0}"
								data-ng-controller="LocalFilesControlSave"><a href=""
								id='local_saveFile'
								data-ng-click="application.localFiles.length == 0 || saveFile()"><span
									class="glyphicon glyphicon-floppy-disk"></span>&emsp;Enregister</a>
							</li>
							<li
								data-ng-class="{'disabled': application.localFiles.length == 0}"
								data-ng-controller="LocalFilesControlDownload"><a href=""
								id='local_downloadFile'
								data-ng-click="application.localFiles.length == 0 || download()"><span
									class="glyphicon glyphicon-download-alt"></span>&emsp;Telecharger</a>
							</li>

							<!-- dropbox menu -->
							<li data-ng-show="!application.modeOffline  && application.settings.dropboxIsEnabled"
								class="divider"></li>
							
							<li data-ng-show="!application.modeOffline  && application.settings.dropboxIsEnabled"
								class="dropdown-header text-center">Dropbox</li>
							
							<li data-ng-controller="DropboxFilesControlConnection"
								data-ng-show="!application.modeOffline  && application.settings.dropboxIsEnabled && !application.dropboxClientIsAuthenticated"><a
								data-ng-click="login();"
								href="">&emsp;&emsp;Se Connecter</a></li>
							
							<li data-ng-controller="DropboxFilesControlDisconnection"
								data-ng-show="!application.modeOffline  && application.settings.dropboxIsEnabled && application.dropboxClientIsAuthenticated"><a
								data-ng-click="logout();"
								href="">&emsp;&emsp;Se deconnecter</a></li>


							<!-- google drive menu -->
							<!-- <li class="divider"></li>
									<li class="dropdown-header">Google Drive</li>
									<li><a href="" id='saveFileAsGoogleDrive'
										data-toggle="modal" data-target="#modalSaveAsGooleDrive"
										data-backdrop="static">Enregister Sous ...</a></li> -->


							<!-- Microsoft one drive menu -->
							<li data-ng-show="!application.modeOffline && application.settings.onedriveIsEnabled"
								class="divider"></li>
							<li data-ng-show="!application.modeOffline && application.settings.onedriveIsEnabled"
								class="dropdown-header text-center">Microsoft One Drive</li>
							<li data-ng-show="!application.modeOffline && application.settings.onedriveIsEnabled"><a
								href="" class="">Se connecter</a></li>
							<li data-ng-show="!application.modeOffline && application.settings.onedriveIsEnabled"><a
								href="" class="">Se Deconnecter</a></li>

							<!-- exit menu -->
							<li class="divider"></li>
							<li><a href="" id="exit">Quitter</a></li>


						</ul>
					</div>


					<button id='run' type="button" class="btn btn-default"
						data-toggle="tooltip" data-original-title="Executer le code">
						Executer&nbsp;<span class="glyphicon glyphicon-play"></span>
					</button>

				</div>
				<button id="settings" type="button"
					class="btn btn-default pull-right" data-toggle="modal"
					data-target="#modalSettings" data-backdrop="static">
					<span class="glyphicon glyphicon-cog"></span>&emsp;Settings
				</button>

				<div class="pull-right">
					<button data-ng-model="application.modeOffline"
						data-toggle-button-mode>{{application.modeOffline ?
						"Offline" : "Online"}}</button>
				</div>
			</div>
		</div>




		<div class="row fullheight">


			<!--  the file explorer panel -->
			<div class="col-md-2">
				<ul class="nav nav-tabs">
					<li class="active dropdown"><a href="" data-toggle="dropdown"
						class="dropdown-toggle">Fichiers<b class="caret"></b></a>
						<ul class="dropdown-menu">
							<li><a href="#local_explorer" data-toggle="tab">Local</a></li>

							<li data-ng-show="!application.modeOffline 
								&& application.settings.dropboxIsEnabled 
								&& application.dropboxClientIsAuthenticated"
								class="divider" data-toggle="tab"></li>
							<li 
								data-ng-controller="DropboxFilesControl"
								data-ng-show="!application.modeOffline 
								&&application.settings.dropboxIsEnabled  
								&& application.dropboxClientIsAuthenticated">
								<a href="#dropbox_explorer" data-toggle="tab" data-ng-click="getItems();">Dropbox</a>
							</li>
							
							<li data-ng-show="!application.modeOffline && application.settings.onedriveIsEnabled"
								class="divider" data-toggle="tab"></li>
							<li data-ng-show="!application.modeOffline && application.settings.onedriveIsEnabled"><a
								href="#onedrive_explorer" data-toggle="tab">OneDrive</a></li>

							<li data-ng-show="!application.modeOffline && application.settings.googledrivIsEnabled"
								class="divider" data-toggle="tab"></li>
							<li data-ng-show="!application.modeOffline && application.settings.googledrivIsEnabled"><a
								href="#googledrive_explorer" data-toggle="tab">GoogleDrive</a></li>
						</ul></li>
				</ul>


				<div id="file_explorer_tabcontent" class="tab-content">

					<!-- tab local explorer -->
					<div class="tab-pane fade in active" id="local_explorer"
						data-ng-controller="LocalFilesControl as files">
						<div class="row">
							<div class="btn-group btn-group-xs pull-right" role="group"
								aria-label="...">
								<!-- TODO bottom directieve doesn't work -->
								<button data-toggle="tooltip" data-placement="bottom"
									data-original-title="refresh" data-ng-click="refresh();">
									<span class="glyphicon glyphicon-refresh "></span>
								</button>
							</div>
						</div>
						<div data-angular-treeview="true" data-tree-id="local"
							data-tree-model="files" data-node-id="id" data-node-label="name"
							data-node-children="items" data-node-isFolder="isFolder"></div>
					</div>

					<!-- tab dropbox explorer -->
					<div class="tab-pane fade" id="dropbox_explorer">
						<div class="row">
							<div class="btn-group btn-group-xs pull-right" role="group"
								aria-label="...">
								<!-- TODO bottom directieve doesn't work -->
								<button data-toggle="tooltip" data-placement="bottom"
									data-original-title="refresh" data-ng-click="refresh();">
									<span class="glyphicon glyphicon-refresh "></span>
								</button>
							</div>
						</div>
						<div class="tree">
							<div data-angular-treeview="true" 
								data-tree-id="dropbox"
								data-tree-model="localFiles" 
								data-node-id="id" data-node-label="name"
								data-node-children="items" data-node-isFolder="isFolder">
							</div>
						</div>
						{{localFiles|json}}
						
					</div>

					<!-- tab ondrive explorer -->
					<div class="tab-pane fade fixed-panel" id="onedrive_explorer"
						data-ng-controller="OneDriveFilesControl as files">
						<div class="row">
							<div class="btn-group btn-group-xs pull-right" role="group"
								aria-label="...">
								<!-- TODO bottom directieve doesn't work -->
								<button data-toggle="tooltip" data-placement="bottom"
									data-original-title="refresh" data-ng-click="refresh();">
									<span class="glyphicon glyphicon-refresh "></span>
								</button>
							</div>
						</div>
						<div class="tree"	>

							<div data-angular-treeview="true"
								 data-tree-id="onedrive"
								data-tree-model="files" 
								data-node-id="id" data-node-label="name"
								data-node-children="items" 
								data-node-isFolder="isFolder">
							</div>
						</div>
						<!-- </div> -->
					</div>
					<div class="tab-pane fade" id="googledrive_explorer">google
						drive explorer here</div>

				</div>
			</div>



			<!-- the editor panel definition -->
			<div class="col-md-5 fullheight">

				<ul class="nav nav-tabs">
					<li class="active"><a href="#tab_editor" data-toggle="tab">
							<span class="glyphicon glyphicon-file" aria-hidden="true"></span>{{application.currentFile.name}}
					</a></li>


				</ul>


				<div id="file_explorer_tabcontent" class="tab-content">
					<div class="tab-pane fade in active" id="tab_editor">
						<div id="editor"></div>
					</div>

				</div>



			</div>

	
	
			<!-- ======================================================================= -->
			<!-- ================ the right panel definitions ========================== -->
			<div class="col-md-5 fullheight">
				<ul class="nav nav-tabs" id="right-tab">
					<li class="active"><a href="#console" data-toggle="tab">Console</a></li>
					<li><a href="#help" data-toggle="tab">Aide de la proglet</a></li>
					<li><a href="#memo" data-toggle="tab">M&eacute;mo</a></li>
				</ul>


				<div id="myTabContent" class="tab-content fullheight">
					<div class="tab-pane fade in active fullheight" id="console">
						<iframe id="output" sandbox='allow-scripts allow-popups'></iframe>
					</div>
					<div class="tab-pane fade" id="help">
						<div data-ng-include="'main_help.html'"></div>
					</div>
					<div class="tab-pane fade" id="memo">
						<div data-ng-include="'main_memo.html'"></div>
					</div>
				</div>


			</div>

		</div>
	</div>



	<!-- ======================== MODALS WINDOWS ==================================== -->

	<!-- Modal enregistrement local -->
	<div class="modal fade" id="modalSaveAs" tabindex="-1" role="dialog"
		aria-labelledby="modalLabel" aria-hidden="true"
		data-ng-controller="LocalFilesControlSaveAs">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<h4 class="modal-title" id="modalLabel">Enregister Sous ...</h4>
				</div>
				<div class="modal-body">
					<div id="saveForm" class="form-group has-feedback">
						<label class="control-label" for="inputFileNameToSaveAs">Veuillez
							choisir un nom de fichier :</label> <input id="inputFileNameToSaveAs"
							class="form-control" aria-describedby="inputSuccess2Status"
							autofocus="autofocus" data-ng-model="filenameSaveAS"></input> <span
							class="glyphicon  form-control-feedback" aria-hidden="true"></span>

					</div>
					<div id="savingErrorMessage" class="alert alert-danger hidden"
						role="alert">nom de fichier invalide, l'extension du fichier
						doit être : '.jvs' ou '.js'</div>
				</div>
				<!--  The form that will be parsed by jQuery before submit  -->
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">Annuler</button>
					<button id="confirmSaveAs" type="button" class="btn btn-primary"
						data-dismiss="modal" disabled="disabled"
						data-ng-click="saveFileAs();">Sauvegarder</button>
				</div>
			</div>
		</div>
	</div>
	


	<!-- Modal enregistrement googleDrive -->
	<div class="modal fade" id="modalSaveAsGooleDrive" tabindex="-1"
		role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<h4 class="modal-title" id="modalLabel">Enregistrer sur Google
						Drive</h4>
				</div>
				<div class="modal-body">
					<div id="saveFormGoogleDrive" class="form-group has-feedback">
						<label class="control-label"
							for="inputFileNameToSaveAsGoogleDrive">Veuillez choisir
							un nom de fichier :</label> <input id="inputFileNameToSaveAsGoogleDrive"
							class="form-control" aria-describedby="inputSuccess2Status"
							autofocus="autofocus"></input> <span
							class="glyphicon  form-control-feedback" aria-hidden="true"></span>

					</div>
					<div id="savingErrorMessageGoogleDrive"
						class="alert alert-danger hidden" role="alert">nom de
						fichier invalide, l'extension du fichier doit être : '.jvs' ou
						'.js'</div>
				</div>
				<!--  The form that will be parsed by jQuery before submit  -->
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">Annuler</button>
					<div id="googleDriveFileInfo" class="g-savetodrive"
						data-src="//example.com/path/to/myfile.pdf" data-filename=""
						data-sitename="javascoolWeb"></div>
				</div>
			</div>
		</div>
	</div>


	<!-- Modal enregistrement dropbox -->
	<div class="modal fade" id="modalSaveAs_dropbox" tabindex="-1"
		role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<h4 class="modal-title" id="modalLabel">Enregistrer sur
						Dropbox</h4>
				</div>
				<div class="modal-body">
					<div id="saveFormGoogleDrive" class="form-group has-feedback">
						<label class="control-label" for="inputFileNameToSaveAs_dropbox">Veuillez
							choisir un nom de fichier :</label> <input
							id="inputFileNameToSaveAs_dropbox" class="form-control"
							aria-describedby="inputSuccess2Status" autofocus="autofocus"></input>
						<span class="glyphicon  form-control-feedback" aria-hidden="true"></span>

					</div>
					<div id="savingErrorMessage_dropbox"
						class="alert alert-danger hidden" role="alert">nom de
						fichier invalide, l'extension du fichier doit être : '.jvs' ou
						'.js'</div>
				</div>
				<!--  The form that will be parsed by jQuery before submit  -->
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">Annuler</button>
					<button type="button" id="dropboxSaverButton"></button>
				</div>
			</div>
		</div>
	</div>

	<!-- Modal settings -->
	<div class="modal fade" id="modalSettings" tabindex="-1" role="dialog"
		aria-labelledby="modalLabel" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<h4 class="modal-title" id="modalLabel">Settings</h4>
				</div>
				<div class="modal-body">

					<!-- dropbox settings -->
					<div data-ng-hide="application.modeOffline">
						<div class="row">
							<div class="col-md-8">Activer le plugin Dropbox :</div>
							<div class="col-md-4">
								<!-- <input id="settings_dropbox" type="checkbox" data-toggle="toggle"
									data-onstyle="success" data-offstyle="danger"> -->
								<button data-ng-model="application.settings.dropboxIsEnabled"
									data-toggle-button-settings>{{application.settings.dropboxIsEnabled
									? "Actif" : "Désactivé"}}</button>

							</div>
						</div>

						<!-- skydrive settings -->
						<div class="row">
							<div class="col-md-8">Activer le plugin OneDrive :</div>
							<div class="col-md-4">
								<!-- <input id="settings_onedrive" type="checkbox"  data-toggle="toggle"
									data-onstyle="success" data-offstyle="danger"> -->
								<button data-ng-model="application.settings.onedriveIsEnabled"
									data-toggle-button-settings>{{application.settings.onedriveIsEnabled
									? "Actif" : "Désactivé"}}</button>

							</div>
						</div>

						<!-- dropbox settings -->
						<div class="row">
							<div class="col-md-8">Activer le plugin Google Drive :</div>
							<div class="col-md-4">
								<!-- <input id="settings_googledrive" type="checkbox"  data-toggle="toggle"
									data-onstyle="success" data-offstyle="danger"> -->
								<button data-ng-model="application.settings.googledrivIsEnabled"
									data-toggle-button-settings>{{application.settings.googledrivIsEnabled
									? "Actif" : "Désactivé"}}</button>

							</div>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">Annuler</button>
					<button id="settingsSaverButton" type="button"
						class="btn btn-primary" data-dismiss="modal"
						data-ng-click="saveSettings()">Enregistrer</button>
				</div>
			</div>
		</div>
	</div>


	<!-- activity modal -->
	<div id="modalProglets" class="modal fade " role="dialog" aria-labelledby="modalLabel" aria-hidden="true"
	data-backdrop="static" data-keyboard="false">
	    <div class="modal-dialog modal-lg" data-ng-controller="ProgletsController">
	        <div class="modal-content">
	            <div class="modal-header">
	                <h4 class="modal-title">choisisez une activité:</h4>
	            </div>
	            <div class="modal-body">
	     
				     <div class="row">
				
						<button type="button" class="btn btn-default proglet-vignette" data-dismiss="modal" 
						title="Default tooltip"
						data-ng-repeat="proglet in proglets"
						data-ng-click="openActivite(proglet)">
						 
							<img data-ng-src="./proglets/{{proglet.name}}/{{proglet.icon}}"
								alt="{{proglet.name}}" />
							<br/>
							<span>{{proglet.name}}</span>
						</button>
						
					</div>
	            
	            </div>
	            <div class="modal-footer">
	                <button type="button" class="btn btn-default" data-dismiss="modal"
	                 data-ng-click="openActivite(null)">Continuer sans activité</button>
	            </div>
	        </div>
	    </div>
	</div>


	<!-- =========================== SCRIPTS ======================================== -->
	<script src="./js/lib/jquery-1.11.2.min.js"></script>

	<!-- Include all compiled plugins (below), or include individual files as needed -->

	<script src="./js/lib/bootstrap-3.3.4.min.js"></script>
	<script src="./js/lib/ace-builds/src-noconflict/ace.js" charset="utf-8"></script>
	<script src="./js/lib/ace-builds/src-noconflict/ext-language_tools.js"></script>


	<script src="./js/javascoolAPI.js"></script>
	<script src="./js/javascoolWeb.js"></script>
	<script src="./js/api/browserStorageAPI.js"></script>

	<!-- bootstrap toggle scrits -->
	<script src="./js/lib/bootstrap-toggle-2.2.0.min.js"></script>



	<!-- angular scripts -->
	<script src="./js/lib/angular-1.3.14.min.js"></script>
	<script src="./js/ng-app_general.js"></script>
	<script src="./js/ng-proglets.js"></script>
	<script src="./js/angular.treeview-0.1.6-perso.js"></script>


	<!-- dropbox scripts -->
	<!-- <script
		src="./js/dropbox-datastores-1.2.0.js"></script> -->
	<script src="./js/lib/dropbox-0.10.3.min.js"></script>
	<script src="./js/api/dropboxAPI.js"></script>


	<!-- Microsoft one Drive scripts -->

	<script src="./js/lib/wl.js"></script>
	<script src="./js/api/onedriveAPI_final.js"></script>


	<!-- ACE Editor scripts -->

	<script src="./js/editor.js"></script>
	<script src="./js/api/codeExecuter.js"></script>

	<!-- ============== ACE INIT SCRIPTS ======================== -->
	<script>
	var editor = ace.edit("editor");
	editor.setTheme("ace/theme/monokai"); //textmate //dreamweaver //monokai
	editor.setHighlightActiveLine(true);
	editor.setOptions({
		enableBasicAutocompletion : true
	});
	editor.getSession().setMode("ace/mode/javascript");
	</script>

	<!-- ============== JQUERY SCRIPTS ========================== -->
	<script>
	$(document).ready(function() {
		
		
		//bootstrap tooltip activation
		$(document).ready(function(){
		    $('[data-toggle="tooltip"]').tooltip({
		        placement : 'top'
		    });
		});
		
			
		//loading activity modal to choose one
		$("#modalProglets").modal('show');
		
	
		//permit to catch the link inside the nav tab to open the link on a new tqb
		$("#help").on("click", "a", function (e) {
		     e.preventDefault();
		     console.log(e);
		     console.log(e.target);
		     console.log();
		    var link = e.target.getAttribute("href");
		    
		    var nextTab = $('#right-tab li').size()+1;
		 	alert('next tab: '+nextTab);
		   	// create the tab
		   	$('<li><a href="#tab'+nextTab+'" data-toggle="tab">Tab '+nextTab+'</a></li>').appendTo('#right-tab');
		   	// create the tab content
		   	//var content = "<divd data-ng-include=\"\'proglets/\'+application.activity.name+\'/\'+application.activity.page+\'/\'"+link+"\"></div>";
		   	var content = "<p>{{application.activity.name}}</p>";
		   	$('<div class="tab-pane" id="tab'+nextTab+'">'+content+'</div>').appendTo('#myTabContent');
		   	// make the new tab active
		   	$('#right-tab a:last').tab('show');
		})
		
		//------------application initialization ----------------
		
		/*   dropbox initialization   */
		/* var dropbox = new DropboxConnector('aeflu0hhf6nt977');
		dropbox.init();
		//dropbox.checkAuthentication();
		dropbox.authenticateClient();
		dropbox.listAllContent(); 
 		 */
		
		/*   Microsoft OneDrive initialization   */
 		/*  var onDrive = new OneDriveConnector("0000000044146805","http://site-local.dev/git/javascoolWeb/test_ACE_minimal/ide.html");
		onDrive.init();
		onDrive.checkSession(); */
	 	/* onDrive.listFolders2(null , function(result){
	 		console.log("result : ");
	 		console.log(result);
	 	});  */
	 
		
		
	
		<!-- filename must be valid -->
		$('#inputFileNameToSaveAs').on('input', function() {
		    var input=$(this);
		    var saveForm = $('#saveForm');
		    var span = saveForm.find("span");
		    var button = $("#confirmSaveAs");
		    var message = $('#savingErrorMessage');
		    
		    var regex =  /^[a-zA-Z0-9]+[-_]*[a-zA-Z0-9]*(\.(jvs|js))$/;
		    var is_filename=regex.test(input.val());
		    if(is_filename){
		    	saveForm.removeClass("has-error").addClass("has-success");
		    	span.removeClass("glyphicon-remove").addClass("glyphicon-ok");
		    	button.removeAttr("disabled");
		    	message.addClass("hidden");
		    	
		    }
		    else{
		    	saveForm.removeClass("has-success").addClass("has-error");
		    	span.removeClass("glyphicon-ok").addClass("glyphicon-remove");
		    	button.attr("disabled", "disabled");
		    	message.removeClass("hidden");
		    }
		});
		
		<!-- google Drive filename must be valid -->
		$('#inputFileNameToSaveAsGoogleDrive').on('input', function() {
		    var input=$(this);
		    var saveForm = $('#saveFormGoogleDrive');
		    var span = saveForm.find("span");
		    var button = $("#confirmSaveGoogleDrive");
		    var message = $('#savingErrorMessageGoogleDrive');
		    var fileInfo = $('#googleDriveFileInfo');
		    
		    var regex =  /^[a-zA-Z0-9]+[-_]*[a-zA-Z0-9]*(\.(jvs|js))$/;
		    var is_filename=regex.test(input.val());
		    if(is_filename){
		    	saveForm.removeClass("has-error").addClass("has-success");
		    	span.removeClass("glyphicon-remove").addClass("glyphicon-ok");
		    	button.removeAttr("disabled");
		    	message.addClass("hidden");
		    	console.log("data-filename before : "+ fileInfo.attr("data-filename"));
		    	fileInfo.attr("data-filename",is_filename);
		    	console.log("data-filename after : "+ fileInfo.attr("data-filename"));
		    	console.log(fileInfo.attr("data-src"));	
		    	console.log(fileInfo.attr("data-filename"));
		    	console.log(fileInfo.attr("data-sitename"));	
		    }
		    else{
		    	saveForm.removeClass("has-success").addClass("has-error");
		    	span.removeClass("glyphicon-ok").addClass("glyphicon-remove");
		    	button.attr("disabled", "disabled");
		    	message.removeClass("hidden");
		    }
		});
		

		
		$('#inputFileNameToSaveAs_dropbox').on('input', function() {
		    var input=$(this);
		    var saveForm = $('#saveForm_dropbox');
		    var span = saveForm.find("span");
		    var button = $("#dropboxSaverButton");
		    var message = $('#savingErrorMessage_dropbox');
		    
		    var regex =  /^[a-zA-Z0-9]+[-_]*[a-zA-Z0-9]*(\.(jvs|js))$/;
		    var is_filename=regex.test(input.val());
		    if(is_filename){
		    	saveForm.removeClass("has-error").addClass("has-success");
		    	span.removeClass("glyphicon-remove").addClass("glyphicon-ok");
		    	message.addClass("hidden");
		    }
		    else{
		    	saveForm.removeClass("has-success").addClass("has-error");
		    	span.removeClass("glyphicon-ok").addClass("glyphicon-remove");
		    	message.removeClass("hidden");
		    }
		});
		
		
		$("#settingsSaverButton").click(function() {
		
			//TODO to compete
		});
		
		
		
		//---run (execute) button action
		$("#run").click(function() {
			var list = extractCodeAnnotations(editor);
			
			if(!haveErrors(list)){
				execute(editor.getValue());
			}else{
				//appendAnnotations(getErrorsAnnotations(list));
				alert("votre code comporte des erreurs il ne peut pas s'executer");
			}
		});

		


		//------------oneDrive menu ----------------
		// open File from One drive button action
		 $("#onDriveOpenFile").click(function() {
			 downloadFile_fileDialog();
		});
		 

	});
</script>


</body>

</html>